﻿.empori-header-raw {
  width: 100%;
  position: sticky;
  top: 0;
  z-index: 12;
  height: auto;
  justify-content: space-evenly;

  &.scrolled {
    border-bottom: none;
    background-color: transparent;

    .empori-header-logo {
      img {
        filter: brightness(0) invert(1);
      }
    }

    .header-background {
      opacity: 1;
    }
  }

  &:hover {
    .header-background {
      opacity: 1;
    }
  }
  
  &.triggered {
    width: 100%;
  }

  .nav-item-group {
    z-index: 2;
    flex: 1;
    padding: 0 10px;

    &.left-group {
      justify-content: flex-end;
    }

    &.middle-group {
      flex: 0 0 160px;
      justify-content: center;
    }
  }

  .nav-item {
    display: flex;
    align-items: center;
  }

  .empori-header-logo {
    padding: 15px 10px;
    display: flex;
    justify-content: center;
    height: auto;

    img {
      height: 35px;
    }
  }

  .empori-language-selector {
    height: 100%;

    .language-icon {
      height: 100%;
      display: flex;
      justify-content: right;
      align-items: center;
    }
  }
}

.raw-mobile-menu, .mobile-toggler {
  display: flex;

  @media (min-width: 1200px) {
    display: none;
  }
}

.header-background,
#mainNav .nav-item-group {
  display: none;

  @media (min-width: 1200px) {
    display: flex;
  }
}

.header-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity 200ms ease-in-out;
  z-index: 1;
  background-color: var(--empori-primary-alt-color);
}

.raw-mobile-menu {
  flex-wrap: nowrap;
  flex: 0 0 100%;
  height: 50px;
  padding: 0 20px;
  justify-content: space-between;
  transition: background-color 200ms ease-in-out;
}

.empori-mobile-logo {
  display: flex;
  height: 100%;
  padding: 5px 0;

  img {
    height: 35px;
    filter: brightness(0) invert(1);
  }
}

.mobile-toggler {
  justify-content: flex-end;
  align-items: center;
  cursor: pointer;
  font-size: 20px;
  color: var(--empori-primary-color);

  i {
    margin-left: 5px;
  }
}

.nav-icon-group {
  display: flex;
  align-items: center;
}

.triggered {
  width: 50px;
  flex: 0 0 50px;

  @media (max-width: 1200px) {
    background-color: transparent;
    border-bottom: none;
  }
  
  .menu-text {
    display: none;
  }

  .raw-mobile-menu .mobile-toggler {
    i {
      color: red;
    }

    .menu-text {
      display: none;
    }
  }

  .raw-mobile-navigation {
    display: flex;
  }
}

.scrolled {
  background-color: var(--empori-primary-alt-color);
}

.raw-mobile-navigation {
  display: none;
  flex-direction: column;
  border-top: 1px solid #fff;
  height: calc(100vh - 50px);
  width: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  background-color: var(--empori-primary-alt-color);
  padding: 20px;
  gap: 20px;

  .nav-item.custom-menu-html {
    padding: 0;
  }
  
  .menu-item {
    height: auto;
    display: block;
    text-align: right;
    padding: 0;
    white-space: normal;
    
    a {
      font-size: 1.2em;
      font-weight: bold;
    }
    
    i {
      display: none;
    }

    .submenu {
      padding: 0 10px;
      
      .menu-item {
        a {
          font-weight: normal;
        }
      }
      
      .submenu {
        padding: 0;
      }
    }
  }
}

.menu-item {
  position: relative;
  padding: 0 10px;
  display: flex;
  align-items: center;
  white-space: nowrap;
  height: 100%;
  
  &:hover .submenu,
  &:focus-within .submenu {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }

  a {
    color: #fff;
    display: block;
    text-decoration: none;
    text-transform: uppercase;
    font-size: .9em;
    
    i {
      width: 15px;
    }
  }
}

.submenu {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  position: absolute;
  top: 100%;
  min-width: 100%;
  padding: 0 20px 10px;
  background-color: var(--empori-primary-alt-color);

  @media (max-width: 1200px) {
    display: block;
    position: relative;
    top: 0;
    height: auto;
    visibility: visible;
    opacity: 1;
    padding: 0;
  }
  
  .menu-item {
    display: block;
    padding: 10px 0;
        
    a {
      font-size: 1em;
      text-transform: none;

      &:hover {
        color: var(--empori-primary-color);
      }
    }
    
    i {
      display: none;
    }
    

    .submenu {
      position: relative;
      padding: 0 10px;

      .menu-item {
        padding: 0;

        a {
          font-weight: normal;
        }

        &:first-of-type {
          padding: 10px 0 0;
        }
      }
    }
  }
}

.empori-language-selector {
  height: auto;
  margin-left: auto;
  width: 50px;
  padding: 0 20px;
}

.nav-item {
  &.custom-menu-html {
    padding: 20px;
    justify-content: flex-end;
  }
}

.language-list {
  top: 50px;
  right: auto;
  border-radius: 0;
  z-index: 10;

  @media (max-width: 1200px) {
    width: 100vw;
    left: 0;
    position: fixed;
    border-radius: 0;
    top: 50px;
  }

  .language-item {
    font-size: inherit;
    display: flex;
    padding: 0 0 10px;

    &:last-of-type {
      padding: 0;
    }
  }
}

body {
  &:not(.darkMode):not(.primeflow) .empori-header-raw.readable-header-raw {
    background-color: #fff;

    &:not(:hover):not(.scrolled):not(.triggered) {
      .menu-item a {
        color: var(--empori-font-color);
      }

      .empori-header-logo img, .raw-mobile-menu .empori-mobile-logo img {
        filter: unset;
      }
    }

    &:hover:not(.triggered):not(.scrolled) .raw-mobile-menu .empori-mobile-logo img {
      filter: unset;
    }

    &.triggered {
      .raw-mobile-menu {
        background-color: var(--empori-primary-alt-color);
      }
    }
  }
}

.nav-item {
  &.custom-menu-html {
    padding: 0 10px;

    .empori-button, button, a {
      font-size: .8em;
      text-decoration: none;
    }

    .empori-button, button {
      padding: 10px;
    }
  }
}

.primeflow {
  .empori-header-raw {
    background-color: var(--empori-primary-alt-color); 
    
    &.scrolled {
      background-color: var(--empori-primary-alt-color);
    }
  }

  .empori-primeflow-search {
    .result-list {
      top: 40px;
    }
  }
}

.empori-category-group-title {
  text-transform: uppercase;
  font-weight: 900;
  font-size: 1.1em;
}

.empori-header-search-mobile-container {
  display: block;
  max-width: 1160px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 11;

  &.empori-webshop-header {
    @media (min-width: 800px) {
      display: none;
    }
  }

  &.empori-dynamic-header {
    @media (min-width: 1200px) {
      display: none;
    }
  }

  &.visible {
    top: 70px;

    @media (max-width: 1200px) {
      top: 55px;
    }

    @media (max-width: 800px) {
      top: 50px;
    }
  }

  .empori-site-search-container {
    @media (min-width: 1200px) {
      padding: 0;
    }
  }
}

.empori-site-search-result-list {
  top: 65px;

  &.empori-webshop-header,
  &.empori-dynamic-header {
    padding: 0;
  }

  @media (max-width: 1200px) {
    top: 50px;
  }

  .container {
    max-width: 1200px;
    padding: 40px 30px;

    @media (max-width: 1200px) {
      padding: 20px;
    }
  }
}
